=== debian/control ===
Source: ros-dashing-rosapi
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-ros, ros-dashing-builtin-interfaces, ros-dashing-rosidl-default-generators, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-dashing-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-builtin-interfaces, ros-dashing-rcl-interfaces, ros-dashing-rclpy, ros-dashing-ros2node, ros-dashing-ros2param, ros-dashing-ros2pkg, ros-dashing-ros2service, ros-dashing-ros2topic, ros-dashing-rosbridge-library, ros-dashing-rosidl-default-runtime, ros-dashing-ros-workspace
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.
